Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.resources
Class NameSpaceSpec

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.ResourceSpec
            |
            +--edu.utah.janosvm.resources.NameSpaceSpec

public final class NameSpaceSpec
extends ResourceSpec

Resource specification for the root name space of a team. This allows you to specify which classes should be imported from other teams, thus allowing the teams to share objects.

Author:
  Tim Stack, Utah Janos Team

Constructor Summary
`NameSpaceSpec(NameSpaceGroup[] nsg)` Construct a name space resource specification with the given class imports.

Method Summary
`static NameSpaceSpec` | `current()`
`void` | `finalize()`

Methods inherited from class edu.utah.janosvm.resources.ResourceSpec
`find`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameSpaceSpec

    public NameSpaceSpec(NameSpaceGroup[] nsg)

  Construct a name space resource specification with the given class imports.
  Parameters:
    `nsg` - An array of NameSpaceGroup's which describe which class groups should be imported into the team.

Method Detail

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### current

    public static NameSpaceSpec current()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002